CubieBoard中文论坛

 找回密码
 立即注册
搜索
热搜: unable
查看: 6650|回复: 4

如何升级开发板上的各种运行库

[复制链接]
发表于 2014-10-14 02:15:37 | 显示全部楼层 |阅读模式
新编译好gcc4.9.1 binutil2.22 eglibc2.18 等 生成最新版本的cross compiler环境

比开发板上的已有的系统版本高
如何吧新版编译器的运行库复制到开发板上
直接覆盖原来/lib下的文件 直接kernel panic了
说是sync error
回复

使用道具 举报

发表于 2014-10-14 10:31:57 | 显示全部楼层
我以前也编译了最新的gcc,然后尝试升级系统库,最后放弃了。因为升级系统库意味着要把所有系统程序(ls,rm,mv,top 等等)都重新编译一次。
回复 支持 反对

使用道具 举报

 楼主| 发表于 2014-10-15 22:12:01 | 显示全部楼层
仅升级gcc貌似成功 升级glibc就挂了
看来只能 用lfs的办法, 不过... arm上lfs 貌似很考验耐心
回复 支持 反对

使用道具 举报

发表于 2014-10-17 22:09:55 | 显示全部楼层
uox 发表于 2014-10-15 22:12
仅升级gcc貌似成功 升级glibc就挂了
看来只能 用lfs的办法, 不过... arm上lfs 貌似很考验耐心
...

请问lfs的办法是什么?
回复 支持 反对

使用道具 举报

 楼主| 发表于 2014-10-29 00:41:08 | 显示全部楼层
facat 发表于 2014-10-17 22:09
请问lfs的办法是什么?

Linux from scratch.  考验耐心的神物
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|Archiver|手机版|粤ICP备13051116号|cubie.cc---深刻的嵌入式技术讨论社区

GMT+8, 2022-12-1 11:51 , Processed in 0.018365 second(s), 15 queries .

Powered by Discuz! X3.4

© 2001-2012 Comsenz Inc. | Style by Coxxs

返回顶部